'use client'
import { useSession, signIn, signOut, SessionProvider } from "next-auth/react"
import { type ReactNode } from "react"
import { AuthProvider } from "./AuthProvider"

export function SessionAuthProvider({ children }: { children: ReactNode }) {
  return (
    <SessionProvider>
      <AuthProvider>
        {children}
      </AuthProvider>
    </SessionProvider>
  )
}