import type { Config } from "tailwindcss";

const config: Config = {
  content: [
    "./pages/**/*.{js,ts,jsx,tsx,mdx}",
    "./components/**/*.{js,ts,jsx,tsx,mdx}",
    "./app/**/*.{js,ts,jsx,tsx,mdx}",
  ],
  theme: {
    extend: {},
  },
  daisyui: {
    darkTheme: false,
    based: true,
    styled: true,
    utils: true,
    prefix: "",
    logs: true,
    themes: ["light"],
    themeRoot: ":root",
  },
  plugins: [require("daisyui"), require("@tailwindcss/typography")],
};
export default config;
